Summary:        One-time password authentication for apache
Name:           mod_authn_otp
Version:        1.1.9
Release:        1%{?dist}
License:        ASL 2.0
URL:            https://github.com/archiecobbs/mod-authn-otp
Source0:        %{url}/archive/%{version}/mod-authn-otp-%{version}.tar.gz
Source1:        10-mod_authn_otp.conf
Source2:        mod_authn_otp.conf
BuildRequires:  gcc make autoconf automake
BuildRequires:  httpd-devel
BuildRequires:  openssl-devel
Requires:       httpd
Requires:       httpd-mmn = %{_httpd_mmn}

%description
mod_authn_otp is an Apache web server module for two-factor authentication
using one-time passwords (OTP) generated via the HOTP/OATH algorithm defined in
RFC 4226.

%prep

%autosetup -n mod-authn-otp-%{version}

%build
./autogen.sh
%configure --with-apxs=%{_httpd_apxs}
%make_build CFLAGS="%{build_cflags} -fPIE"

%install
install -d %{buildroot}%{_httpd_confdir}
install -d %{buildroot}%{_httpd_modconfdir}
install -d %{buildroot}%{_httpd_moddir}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1

install -m0755 .libs/mod_authn_otp.so %{buildroot}%{_httpd_moddir}
install -m0644 %{SOURCE1} %{buildroot}%{_httpd_modconfdir}/10-mod_authn_otp.conf
install -m0644 %{SOURCE2} %{buildroot}%{_httpd_confdir}/mod_authn_otp.conf

install -m0755 genotpurl %{buildroot}%{_bindir}
install -m0755 otptool %{buildroot}%{_bindir}
install -m0644 *.1 %{buildroot}%{_mandir}/man1/

%files
%doc CHANGES README* users.sample
%license LICENSE
%config(noreplace) %{_sysconfdir}/httpd/conf.*/*.conf
%{_httpd_moddir}/mod_authn_otp.so
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Mon Jun 15 2020 Oden Eriksson <oden.eriksson@vattenfall.com> - 1.1.9-1
- initial rpm package
